<mat-card class="line">
  <img [src]='assetSrc' class="asset-img"/>
  <mat-card-content class="line-row">
    <div class="line-content">
      <div class="text">{{(text | translate) || text}}</div>
      <div class="select">
        <geodesign-select [options]="options" (ngModelChange)="onOptionChange($event)" [(ngModel)]="selectedOption"></geodesign-select>
      </div>
      <div class="slider">
        <geodesign-input-slider class="slider-component" [label]="('DATA_PANEL_EMIT_GEN.SIZE' | translate) + ' : '"
                                max="5"
                                step="1"
                                min="1"
                                [(ngModel)]="sliderNumberValue"
        ></geodesign-input-slider>
      </div>
    </div>
    <div class="buttons">
      <button mat-button class="emit-button" (click)="handleAdd()">{{'FORM.ADD' | translate}}</button>
      <button mat-button class="emit-button" (click)="handleDisplay()">{{(show ? 'FORM.HIDE' : 'FORM.DISPLAY') | translate}}</button>
      <button mat-button class="emit-button" (click)="handleLoad()">{{'FORM.LOAD' | translate}}</button>
    </div>
  </mat-card-content>
</mat-card>
